
%define 	pname	 xfsprogs 
%define 	pversion 2.5.11
%define 	prelease 1

Summary		: XFS creation tools 
Name		: %{pname}
Version		: %{pversion}
Release		: 2.0.0.%{_hhl_build_id}
URL		: http://oss.sgi.com/projects/xfs/download.html
Source		: %{pname}-%{version}.src.tar.gz
Source1		: maxtrres.h
Source2		: %{pname}.tmpl
Source3		: %{pname}-dev.tmpl
Patch		: %{pname}-cross.diff
Patch1		: %{pname}-ustat.diff
License		: GPL
Group		: utils 
Buildroot	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix		: %{_hhl_cross_target_dir}
%define 	_docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Obsoletes : hhl-target-%{pname}
Obsoletes : hhl-%{_hhl_target_arch}-xfsprogs 

%description

Tools to create and manupulate XFS filesystems.




Tools to create and manupulate XFS filesystems.


%package -n libxfs
Summary         : Xfs creation tools
Group           : utils
autoreqprov     : no
Requires: %{pname}
Obsoletes : hhl-%{_hhl_target_arch}-libxfs

%description -n libxfs

Libraries to create and manupulate XFS filesystems.


%prep

%target_check

%setup  -n %{pname}-%{version}
%patch -p1
%patch1 -p1

%build
%target_setup
autoconf
%target_acplatvars
export ac_cv_type_char_p=yes
export ac_cv_sizeof_char_p=$ac_cv_sizeof_void_p
export ac_cv_type_long=yes

cat `which libtool` \
	| sed -e /^CC\=/d \
	    -e /^AR\=/d \
	    -e /^RANLIB\=/d > local-libtool
chmod 755 local-libtool
export ac_cv_path_LIBTOOL="`pwd`/local-libtool"
./configure \
        --host=%{_hhl_target_config} \
        --build=%{_hhl_host_config} \
        --prefix=%{_hhl_target_prefix} \
        --exec-prefix=%{_hhl_target_exec_prefix} \
        --bindir=%{_hhl_target_sbin_dir} \
        --sbindir=%{_hhl_target_sbin_dir} \
        --sysconfdir=%{_hhl_target_sysconf_dir} \
        --datadir=%{_hhl_target_data_dir} \
        --includedir=%{_hhl_target_include_dir} \
        --libdir=%{_hhl_target_lib_dir} \
        --libexecdir=%{_hhl_target_lib_dir} \
        --localstatedir=%{_hhl_target_localstate_dir} \
        --sharedstatedir=%{_hhl_target_sharedstate_dir} \
        --mandir=%{_hhl_target_man_dir} \
        --infodir=%{_hhl_target_info_dir} --enable-shared-uuid
cp %{SOURCE1} mkfs/
%make


%install
rm -rf %{buildroot}
%target_setup
rm -f LICENSE
cp doc/COPYING LICENSE
rm -rf objdir
ln -sf . objdir
%target_makeinstall DESTDIR=%{buildroot}%{_hhl_cross_target_dir} install-dev
install -d %{buildroot}%{_hhl_cross_target_dir}/sbin/ 
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/{mkfs.xfs,xfs_repair,fsck.xfs} %{buildroot}%{_hhl_cross_target_dir}/sbin/
ln -s ../../sbin/mkfs.xfs %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/mkfs.xfs
ln -s ../../sbin/xfs_repair %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_repair
ln -s ../../sbin/fsck.xfs %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/fsk.xfs
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libhandle.so
ln -s libhandle.so.1.0.1 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libhandle.so

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/xfsprogs
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE3} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libxfs

%clean
rm -rf %{buildroot}


%files -n libxfs
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libxfs
%doc doc/CHANGES.gz doc/COPYING doc/CREDITS doc/PORTING 
%doc README doc/README.LVM doc/README.quota
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/disk/dvh.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/disk/fstyp.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/disk/volume.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/handle.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/jdm.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/libxfs.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/libxlog.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/platform_defs.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_ag.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_alloc.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_alloc_btree.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_arch.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_attr_leaf.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_attr_sf.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_bit.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_bmap.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_bmap_btree.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_btree.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_buf_item.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_da_btree.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_dfrag.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_dinode.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_dir.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_dir2.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_dir2_block.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_dir2_data.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_dir2_leaf.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_dir2_node.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_dir2_sf.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_dir_leaf.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_dir_sf.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_extfree_item.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_fs.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_ialloc.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_ialloc_btree.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_imap.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_inode.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_inode_item.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_inum.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_log.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_log_priv.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_log_recover.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_mount.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_quota.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_rtalloc.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_sb.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_trans.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_trans_space.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xfs_types.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/xqm.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/swab.h
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/attr_list_by_handle.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/attr_multi_by_handle.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/free_handle.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/fssetdm_by_handle.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/handle_to_fshandle.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/open_by_handle.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/path_to_fshandle.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/path_to_handle.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/readlink_by_handle.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/xfsctl.3.gz
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libdisk.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libhandle.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libhandle.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libxfs.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libxlog.a


%files -n %{pname}
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/xfsprogs
%doc doc/CHANGES.gz doc/COPYING doc/CREDITS doc/PORTING 
%doc README doc/README.LVM doc/README.quota
%doc LICENSE
%{_hhl_cross_target_dir}/sbin/fsck.xfs
%{_hhl_cross_target_dir}/sbin/mkfs.xfs
%{_hhl_cross_target_dir}/sbin/xfs_repair
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_admin
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_bmap
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_check
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_db
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_copy
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_io
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_freeze
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_growfs
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_info
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_logprint
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_mkfile
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_ncheck
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_rtcp
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libhandle.so.1
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libhandle.so.1.0.2
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/fsk.xfs
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/mkfs.xfs
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/xfs_repair
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/xfs.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/fsck.xfs.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mkfs.xfs.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_admin.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_bmap.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_check.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_db.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_copy.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_io.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_freeze.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_growfs.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_info.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_logprint.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_mkfile.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_ncheck.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_repair.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/xfs_rtcp.8.gz


